package src.BAALL

import scala.sys.process._
/**
 * Created with IntelliJ IDEA.
 * User: maeder
 * Date: 11.02.13
 * Time: 12:27
 * send an ssh command to a remote machine using putty under windows
 * the passphrase must be supplied by a running authentication agent.
 * Under windows the command must be a local file name
 */
object CallSSH {
  def callSSH(user: String, host: String, com: String, keyFile: String) {
    if (System.getProperty("os.name").startsWith("Windows"))
   {
     ("C:\\Program Files (x86)\\PuTTY\\putty " + host + " -ssh -l " + user + " -i " + keyFile +
       " -m " + com).!
   }
    else
   {
    ("ssh -i " + keyFile + " " + user + "@" + host + " " + com).!
   }
  }
  def main(args : Array[String]) {
    callSSH("maeder", "turing.informatik.uni-bremen.de", "touch ship-test", "/home/maeder/.ssh/ship")
    /*callSSH("maeder", "turing.informatik.uni-bremen.de", "C:\\Users\\Dietrich\\Documents\\script.sh",
      "C:\\Users\\Dietrich\\Documents\\ship2.ppk")*/
  }
}
