package src.test;

import com.clarkparsia.owlapiv3.OWL;
import com.clarkparsia.owlapiv3.OntologyUtils;
import com.clarkparsia.pellet.owlapiv3.PelletReasoner;
import com.clarkparsia.pellet.owlapiv3.PelletReasonerFactory;
import org.semanticweb.owlapi.model.*;

/**
 * Created by IntelliJ IDEA.
 * User: dodi
 * Date: 7/18/12
 * Time: 1:24 PM
 */

public class OWLAPIFULL {
    public static void main(String _)
    {
        OWLOntologyManager manager = OWL.manager;
        String prefix="http://www.semanticweb.org/ontologies/2012/6/SimpleInf.owl#";
        OWLOntology ontology = null;
        try {
            ontology = manager.createOntology();
        } catch (OWLOntologyCreationException e) {
            e.printStackTrace();
        }
        PelletReasoner reasoner = PelletReasonerFactory.getInstance().createReasoner( ontology );
        manager.addOntologyChangeListener( reasoner );

        // create property and resources to query the reasoner

        manager.getOWLDataFactory().getOWLClass(IRI.create(prefix+"Person"));
        //OWLObjectProperty workHomepage = manager.getOWLDataFactory().getOWLObjectProperty(IRI.create("http://xmlns.com/foaf/0.1/workInfoHomepage"));
        //OWLDataProperty foafName = manager.getOWLDataFactory().getOWLDataProperty(IRI.create("http://xmlns.com/foaf/0.1/name"));
    }
}
