package src.test

import java.io.{PrintWriter, File}
import src.ship._

/**
 * Created by IntelliJ IDEA.
 * User: dodi
 * Date: 7/24/12
 * Time: 2:45 PM
 */

object OntConversion extends SHIPToolParser {
  def main(args: Array[String]) {
    val filename = scala.io.Source.fromFile("filename.txt").getLines().toList.head
    val newName = filename.replace("/", "%2f")
    parseAll(loadfile, "load " + filename) match {
      case Success(ont: Ontology, _) =>
         val pw = new PrintWriter(new File(newName + ".ont"))
         pw.write(ont.toStringAux)
         pw.close()
         ont.saveToOWLFile(new File(newName + ".owl"))
      case _ =>
    }
  }
}
