package src.test

import java.io.{File, FileReader}
import src.ship._

/**
 * Created with IntelliJ IDEA.
 * User: autexier
 * Date: 4.10.2012
 * Time: 15:03
 */

object OWLQueryTests extends OntologyParser {
  def main(args: Array[String]) {
    val pont = parseAll(ontology,
      new FileReader(new File("examples/baall/transport6.ont")))
    //val pphi = parseAll(aboxformula," wc:(ex at . ex adjacent_door . { d })")
    val phi = ConceptAssertion(Const("Rolland2"),
      ExistsRole(NamedRole("at"), ExistsRole(NamedRole("adjacent_door"), Nominal(Const("lowerLeftDoor")))))
    pont match {
      case Success(ont: Ontology, _) =>
        println(ont.query(phi))
      case _ =>
    }
  }
}
